/*****************************************************************/
/********************* PARTIE GENERALE ***************************/
/**********************  MOBILE FIRST ****************************/
/*****************************************************************/

@font-face {
  font-family: "komikax";
  src: url("font/KOMIKAX_.ttf");
}

body {
  margin: 0;
  background-color: black;
}

header {
  padding: 2em 0;
}

label {
  color: #fff;
  padding-bottom: 1em;
}

h1,
.subTitle {
  font-family: "komikax", serif;
  text-align: center;
}

h1 {
  font-size: 4em;
  text-transform: uppercase;
  color: ghostwhite;
}

.subTitle {
  font-style: italic;
  color: crimson;
}

.col-sm-12 {
  margin-bottom: 1.5em;
}


.row {
  width: 100%;
}

#root {
  display: flex;
  flex-direction: column;
  align-items: center !important;
}

/************************ CARDS **************************/

#display {
  display: grid;
  gap: 1.5em;
  width: 80%;
}

.card-body {
  background-color: crimson;
  padding: 0 !important;
  border-radius: 0.5em;
  justify-items: center !important;
}

.card-body h2 {
  text-align: center;
  margin-bottom: 0.5em !important;
}

.card {
  padding: 0;
  border: solid 2px white;
  flex-direction: row;
}

.card:hover {
  transition: ease 1s;
  transform: scale(1.1);
  z-index: 2;
}

/*********************** MODAL *********************/

.modal-body {
  display: grid;
  flex-direction: column;
  width: 80% !important;
  border-radius: 1em;
  justify-content: center;
}

.modal-body img {
  border-radius: 1em;
  width: 250px;
  margin-right: 2em;
}

.modal-body h3 {
  margin-bottom: 1em;
}

.modal-dialog {
  text-align: center;
}


/*****************************************************************/
/**********************PARTIE INUTILISEE**************************/
/*****************************************************************/

/* Affichage des détails d'un SH
.wrapper {
  border: 1px solid white;
}

.wrapper img {
  display: block;
  width: 100%;
  margin: 0 auto;
}



.wrapperBody p {
  color: white;
  margin: 1em 0;
  text-align: center;
  text-transform: uppercase;
}

.wrapperBody ul {
  list-style-type: none;
  padding: 0;
  color: white;
} */

/*****************************************************************/
/**********************PARTIE TABLETTE ***************************/
/*****************************************************************/

@media screen and (min-width: 767px) {

  /*****************************************************************/
  /**********************PARTIE INUTILISEE**************************/
  /*****************************************************************/

  /* .wrapper {
    display: flex;
    flex-flow: row nowrap;
    justify-content: space-around;
    width: 80%;
    margin: 0 auto;
    border: 0;
  }


  .wrapper img {
    margin: 0;
    width: 50%;
    flex-grow: 1;
  }

  .wrapperBody {
    width: 50%;
  }

  .wrapperBody ul {
    margin-left: 2em;
  } */

  /*********************** CARDS *********************/

  #display {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 1.5em;
    justify-content: center;
  }

  /*********************** MODAL *********************/

  .modal-body {
    display: flex;
    flex-direction: row;
    width: 500px !important;
  }

  .modal-body h3 {
    margin-bottom: 2em;
  }
}

/*****************************************************************/
/**********************PARTIE DESKTOP ****************************/
/*****************************************************************/

@media screen and (min-width: 1200px) {

  /*********************** CARDS *********************/

  #display {
    display: grid !important;
    grid-template-columns: 1fr 1fr 1fr 1fr !important;
    gap: 1.5em;
    justify-content: center;
  }
}

/*****************************************************************/
/**********************PARTIE LOADER *****************************/
/*****************************************************************/

#myDiv {
  display: none;
  text-align: center;
}

#loader {
  position: absolute;
  left: 50%;
  top: 50%;
  z-index: 1;
  width: 120px;
  height: 120px;
  margin: -76px 0 0 -76px;
  border: 16px solid #f3f3f3;
  border-radius: 50%;
  border-top: 16px solid #3498db;
  -webkit-animation: spin 2s linear infinite;
  animation: spin 2s linear infinite;
}

@-webkit-keyframes spin {
  0% {
    -webkit-transform: rotate(0deg);
  }

  100% {
    -webkit-transform: rotate(360deg);
  }
}

@keyframes spin {
  0% {
    transform: rotate(0deg);
  }

  100% {
    transform: rotate(360deg);
  }
}

.animate-bottom {
  position: relative;
  -webkit-animation-name: animatebottom;
  -webkit-animation-duration: 1s;
  animation-name: animatebottom;
  animation-duration: 1s
}

@-webkit-keyframes animatebottom {
  from {
    bottom: -100px;
    opacity: 0
  }

  to {
    bottom: 0px;
    opacity: 1
  }
}

@keyframes animatebottom {
  from {
    bottom: -100px;
    opacity: 0
  }

  to {
    bottom: 0;
    opacity: 1
  }
}